Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#56298 - [libva-mesa-driver] Package needs rebuilt against libva 2.0.0

Attached to Project: Arch Linux
Opened by Jacob S (Gourdcaptain) - Saturday, 11 November 2017, 08:23 GMT
Last edited by Doug Newgard (Scimmia) - Sunday, 12 November 2017, 17:18 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
libva-mesa-driver 17.2.4-1 fails to work against libva 2.0.0-2 with the following error on the AMDGPU/radeonsi drivers when using the vainfo command, mpv, vlc, or other such programs using the vaapi hardware decoding API.

libva info: VA-API version 1.0.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/radeonsi_drv_video.so
libva error: /usr/lib/dri/radeonsi_drv_video.so has no function __vaDriverInit_1_0
libva info: va_openDriver() returns -1

Rebuilding mesa against the new libva fixes this.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Sunday, 12 November 2017, 17:18 GMT
Reason for closing:  Fixed
Additional comments about closing:  libva-mesa-driver 17.2.5-1

Loading...